org.apache.hadoop.service.launcher

## Class IrqHandler.InterruptData

- java.lang.Object
- - org.apache.hadoop.service.launcher.IrqHandler.InterruptData

- Enclosing class:
    org.apache.hadoop.service.launcher.IrqHandler

      public static class IrqHandler.InterruptData
      extends Object

  Interrupt data to pass on.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterruptData(String name, int number)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `int` | `getNumber()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InterruptData

          public InterruptData(String name,
                               int number)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getNumber

          public int getNumber()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.